Bug 221071 - w sometimes dumps core
w sometimes dumps core
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-31 19:47 EST by Wolfgang Rupprecht
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-23 06:21:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Rupprecht 2006-12-31 19:47:37 EST
Description of problem:
"w" sometimes dumps core. 

Version-Release number of selected component (if applicable):
procps-3.2.7-8


How reproducible:
probably not very reproducable

Steps to Reproduce:
1. invoke "w"  from the command line
  
Actual results:
[root@arbol tmp]# w
Segmentation fault (core dumped)
[root@arbol tmp]# gdb /usr/bin/w core.28323 
GNU gdb Red Hat Linux (6.5-15.fc6rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".

Reading symbols from /lib64/libproc-3.2.7.so...(no debugging symbols found)...done.
Loaded symbols for /lib64/libproc-3.2.7.so
Reading symbols from /lib64/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib64/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...
(no debugging symbols found)...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /lib64/libnss_files.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/libnss_files.so.2

Core was generated by `w'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000003ff5c700f8 in _int_realloc () from /lib64/libc.so.6
(gdb) bt
#0  0x0000003ff5c700f8 in _int_realloc () from /lib64/libc.so.6
#1  0x0000003ff5c723f4 in realloc () from /lib64/libc.so.6
#2  0x0000003ff5003d75 in ?? () from /lib64/libproc-3.2.7.so
#3  0x0000003ff5006d3c in readproctab () from /lib64/libproc-3.2.7.so
#4  0x0000000000401948 in ?? ()
#5  0x0000003ff5c1da44 in __libc_start_main () from /lib64/libc.so.6
#6  0x0000000000400dd9 in ?? ()
#7  0x00007fff57a32f48 in ?? ()
#8  0x0000000000000000 in ?? ()
(gdb) 

Expected results:
no core dump

Additional info:
Sorry for the lack of info.  Not sure what would help here that I have access
to.  "w" nomrally works fine, so it isn't an across-the-board problem.
Comment 1 Wolfgang Rupprecht 2006-12-31 19:56:53 EST
I should add, that currently the error is 100% reproducable.  10 out of 10
invocations dumped core.

Also the time is just past new-years UTC, but before new-years local time (PST).
I don't know if that is significant, but it may well be.

[root@arbol tmp]# date -u
Mon Jan  1 00:54:53 UTC 2007
Comment 2 Karel Zak 2007-01-30 06:13:32 EST
Sorry, but nobody other reports this problem. BTW, I use same distribution at
same architecture everyday.

I'll mark this report as NEEDINFO -- maybe you or someone other will found more
details.
Comment 3 Tomas Smetana 2007-05-23 06:21:29 EDT
There is no new info on this issue and nobody else reports it. Closing.

Note You need to log in before you can comment on or make changes to this bug.